commit:     471580c440c0def3fd564e13aee410be9df7a4ae
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 12 01:28:16 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 12 06:20:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=471580c4

sys-devel/slibtool: Version bump to 0.5.34

Thanks-to: orbea <orbea <AT> riseup.net>
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-devel/slibtool/Manifest               |  2 ++
 sys-devel/slibtool/slibtool-0.5.34.ebuild | 36 +++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/sys-devel/slibtool/Manifest b/sys-devel/slibtool/Manifest
index 90d521ff2b6..bde7b8080a2 100644
--- a/sys-devel/slibtool/Manifest
+++ b/sys-devel/slibtool/Manifest
@@ -2,3 +2,5 @@ DIST slibtool-0.5.32.tar.xz 72820 BLAKE2B 
2098af643b9591d85a9fa2d34c4a0c06af6647
 DIST slibtool-0.5.32.tar.xz.sig 833 BLAKE2B 
fec44357ab0efab0f7200588ffc6a3e80dfba70e8279e8bf3de5ca9bbd92b6a6b7704990a219d69acac7c54eb3b1e6e3f820a5cc514a1a06859222ad88add3f4
 SHA512 
980a10e1ae036b42a017e1e73cadcf65678710b38e6c0a8eb7cc77199ff2dfa6fbf8f2e8dd690a6d7c88ad1e7b2b5c1f1252bec7a4e534caf57bd93554f83980
 DIST slibtool-0.5.33.tar.xz 74100 BLAKE2B 
ae4901fb116c1c9463d7a817dc0c3aff2de0983b19d0ca84d5081aa4ac0f6b7a386ccf4cc3916c799ecc8d053a1b8dd71f7f8aafeae358d3931ce4ebc68932e0
 SHA512 
d4fd15669f8792a09f162f124ff92544efbc0e963b0ed5e8b9f3521f8da204380c6d9f175cfac818e769d5e90ae5d52eddfccdecf82880c11083997dca676ae4
 DIST slibtool-0.5.33.tar.xz.sig 833 BLAKE2B 
dec6515251e85e91727ef85e31fc370975058142c81c5abaa7a5b300a88b785878768fb56b68d9d7da2d9dc063e6c188136f6ee9566605ebf0cba834d9ea96b6
 SHA512 
00bc2117b1b68b94618effbb5ce24c09c0a0e6b76a8d0d4c34d0e6a13081d14521aa909a3b629a9e6680db5c3b720c61afdc90c6e7b1989debe1abb7574d9977
+DIST slibtool-0.5.34.tar.xz 79720 BLAKE2B 
3a692d7485dcf2277f7ed99fe1ad67cf5fd33d8fe0a527d64634b0e7f956a5f58b92d812396f00d872ceb8509e058ae1a026f16a65feb2e79a9fff7bd60290da
 SHA512 
3f7f6e4f45c4c2ae5ba5533152f08269cd77ca6fa2f3a515802bc23c7ac505b2d7340098fa98962c79035129cfd4077205596309f4acd1d634b9a1d6e2c0e96c
+DIST slibtool-0.5.34.tar.xz.sig 833 BLAKE2B 
52df017d8ae3056e259a5283b0a4cea119a5ab4ce95e6c894d0d2e98fc10db101039a57c9a2a771f677c9d0afaad9273095ebdb078fca146a3d67ea25e9261fb
 SHA512 
9f8415431a0b43e7be9a808dd6ed138a9b34b7b2c4af3ab406bdbc456ec31c877f13bc0b056ab9a50bec0b0cf1b654a133085f8523e70c8cb7d3851652d34ff7

diff --git a/sys-devel/slibtool/slibtool-0.5.34.ebuild 
b/sys-devel/slibtool/slibtool-0.5.34.ebuild
new file mode 100644
index 00000000000..6fe991b4272
--- /dev/null
+++ b/sys-devel/slibtool/slibtool-0.5.34.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+# git.foss21.org is the official repository per upstream
+DESCRIPTION="A skinny libtool implementation, written in C"
+HOMEPAGE="https://git.foss21.org/slibtool";
+if [[ "${PV}" == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://git.foss21.org/slibtool";
+else
+       VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/midipix.asc
+       inherit verify-sig
+
+       SRC_URI="https://dl.midipix.org/slibtool/${P}.tar.xz";
+       SRC_URI+=" verify-sig? ( 
https://dl.midipix.org/slibtool/${P}.tar.xz.sig )"
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~x64-macos"
+
+       BDEPEND="verify-sig? ( app-crypt/openpgp-keys-midipix )"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+src_configure() {
+       # Custom configure script (not generated by autoconf)
+       ./configure \
+               --compiler=$(tc-getCC) \
+               --host=${CHOST} \
+               --prefix="${EPREFIX}"/usr \
+                       || die
+}

Reply via email to